Skip to main content
`Ctrl`+`K`

# PetscSFSetGraphSection

Sets the `PetscSF` graph (communication pattern) encoding the parallel dof overlap based upon the `PetscSection` describing the data layout.

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFSetGraphSection(PetscSF sf, PetscSection localSection, PetscSection globalSection)

## Input Parameters

- sf - The `PetscSF`

- localSection - `PetscSection` describing the local data layout

- globalSection - `PetscSection` describing the global data layout

## See Also

PetscSF - an alternative to low-level MPI calls for data communication, `PetscSF`, `PetscSFSetGraph()`, `PetscSFSetGraphLayout()`

## Level

developer

## Location

src/vec/is/sf/utils/sfutils.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages